Форум программистов, компьютерный форум, киберфорум
SolidWorks
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.85/13: Рейтинг темы: голосов - 13, средняя оценка - 4.85
111 / 53 / 27
Регистрация: 24.07.2018
Сообщений: 725
1

Solid Works Api

07.03.2019, 15:38. Показов 2498. Ответов 4
Метки нет (Все метки)

Здравствуйте! Пишу програмку для Solid Works используя Api. Перестроение проекта, высвечивание элементов занимает много времени. Можно ли как то отключить визуализацию перестроения, высвечивания? Типа отключить визуализацию солида во время выполнения кода программы? Есть у кого то какое решение? Пример программы:
Visual Basic
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
    Sub Изменение_габарита()
 
        Обнуление_переменных_SW()
 
        swDoc = CType(swApp.ActiveDoc, ModelDoc2)
        boolstatus = swDoc.Extension.SelectByID2("Габарит", "SKETCH", 0, 0, 0, False, 0, Nothing, 0)
        swDoc.ActivateSelectedFeature()
 
        boolstatus = swDoc.Extension.SelectByID2("Глубина@Габарит@" + Модель + ".SLDASM", "DIMENSION", 0, 0, 0, False, 0, Nothing, 0)
        myDimension = Nothing
        myDimension = CType(swDoc.Parameter("Глубина@Габарит"), Dimension)
        myDimension.SystemValue = Толщина / 1000
 
        boolstatus = swDoc.Extension.SelectByID2("Высота@Габарит@" + Модель + ".SLDASM", "DIMENSION", 0, 0, 0, False, 0, Nothing, 0)
        myDimension = CType(swDoc.Parameter("Высота@Габарит"), Dimension)
        myDimension.SystemValue = Высота / 1000
 
        boolstatus = swDoc.Extension.SelectByID2("Ширина@Габарит@" + Модель + ".SLDASM", "DIMENSION", 0, 0, 0, False, 0, Nothing, 0)
        myDimension = CType(swDoc.Parameter("Ширина@Габарит"), Dimension)
        myDimension.SystemValue = Ширина / 1000
 
        swDoc.ClearSelection2(True)
        boolstatus = swDoc.EditRebuild3()
    End Sub
0

Помощь в написании контрольных, курсовых и дипломных работ здесь.

Programming
Эксперт
94731 / 64177 / 26122
Регистрация: 12.04.2006
Сообщений: 116,782
07.03.2019, 15:38
Ответы с готовыми решениями:

Solid Works Api и C#
Здравствуйте! Подскажите пожалуйста, ресурсы для изучения Solid Works Api на русском. Интересуют...

Что делать с ошибкой "Создание сетки не удалось. Прерывание анализа" в Solid Works
Добрый день! Необходимо исследовать деформацию и распределение напряжений в чугунной детали под...

Solid Works виснет при команде на печать
Windows 7. Solid Works 2012. Было все нормально. Принтер, который в настройках системы был по...

Размер на полке в solid edge
Доброго форумчане, как получить такую выносную полку в solid edge ?

4
92 / 89 / 21
Регистрация: 30.08.2015
Сообщений: 384
12.03.2019, 10:48 2
1. вариант
http://help.solidworks.com/201... _vbnet.htm

2. вариант
https://forum.solidworks.com/thread/52527

3. вариант
в настройках - уровень прорисовки - грубый
0
111 / 53 / 27
Регистрация: 24.07.2018
Сообщений: 725
12.03.2019, 16:44  [ТС] 3
densy, если вы про уровень детализации, то на минимум ставил не помогло. Может в коде что то надо сокращать, код с редактора макроса беру.
0
92 / 89 / 21
Регистрация: 30.08.2015
Сообщений: 384
12.03.2019, 18:33 4
MaksimkaI, посмотрите 1 ссылку там про работу в фоновом режиме

Visual Basic
1
swApp.UserControl = False
Visual Basic
1
swApp.Visible = False
во 2 ссылке там различные манипуляции (не знаю на сколько это даст в приросте скорости)
1) отключение динамических привязок
Visual Basic
1
2
3
Part = swApp.ActiveDoc
skMgr = Part.SketchManager
skMgr.AddToDB = True
2) отключение графического отображения
Visual Basic
1
 myModelView.EnableGraphicsUpdate = False
и пр.
0
111 / 53 / 27
Регистрация: 24.07.2018
Сообщений: 725
13.03.2019, 08:01  [ТС] 5
densy, поизучаю позже вопрос, в любом случае спасибо за ответ!
0
IT_Exp
Эксперт
87844 / 49110 / 22898
Регистрация: 17.06.2006
Сообщений: 92,604
13.03.2019, 08:01

Помощь в написании контрольных, курсовых и дипломных работ здесь.

Сделать 3d модель детали в solid edge
помогите пожалуйста!!нужно сделать детали в 3d в solid edge! спасибо заранее

Системник для Solid Works
Добрый день, требуется рабочий комп для работы с данным приложением, в основном используется для...

Изменить имя эскиза в Solid Works
Подскажите, пож-ста, как изменить имя эскиза в Solid Works средствами vba.

Есть ли другие форумы на которых обсуждаются вопросы по VBA под AutoCAD, Solid Works?
Я хотел бы узнать, есть ли другие форумы на которых обсуждаются вопросы по VBA под AutoCAD, Solid...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
5
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2021, vBulletin Solutions, Inc.